- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | Friends | List of all members
StarFormatManagerInternal::NumberFormatter::FormatItem Struct Reference

struct use to store small format item More...

## Public Member Functions
| FormatItem ()
| constructor More...
bool | updateNumberingProperties (librevenge::RVNGPropertyListVector &vect) const
| try to update the cell's formating More...

## Public Attributes
librevenge::RVNGString | m_text
| the string More...
int | m_type
| the type More...

## Friends
std::ostream & | operator<< (std::ostream &o, FormatItem const &item)
| operator<< More...

## Detailed Description

struct use to store small format item

## Constructor & Destructor Documentation

StarFormatManagerInternal::NumberFormatter::FormatItem::FormatItem | ( |  | ) |
| inline

constructor

## Member Function Documentation

bool StarFormatManagerInternal::NumberFormatter::FormatItem::updateNumberingProperties | ( | librevenge::RVNGPropertyListVector & | vect | ) | const

try to update the cell's formating

Referenced by FormatItem(), and StarFormatManagerInternal::NumberFormatter::Format::updateNumberingProperties().

## Friends And Related Function Documentation

std::ostream& operator<< | ( | std::ostream & | o,
|  | FormatItem const & | item
| ) |  |
| friend

operator<<

## Member Data Documentation

librevenge::RVNGString StarFormatManagerInternal::NumberFormatter::FormatItem::m_text

the string

Referenced by StarFormatManager::readNumberFormatter(), and updateNumberingProperties().

int StarFormatManagerInternal::NumberFormatter::FormatItem::m_type

the type

Referenced by StarFormatManager::readNumberFormatter(), updateNumberingProperties(), and StarFormatManagerInternal::NumberFormatter::Format::updateNumberingProperties().

The documentation for this struct was generated from the following file:

- StarFormatManager.cxx